Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui.configwizard
Class ConfigPort

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.ka2ddo.yaac.gui.genericwizard.AbstractWizardCard
                          org.ka2ddo.yaac.gui.configwizard.ConfigPort

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class ConfigPort

extends AbstractWizardCard

This defines a card in the configuration wizard for configuring an interface port.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ConfigPort(PortConfig cfg, boolean isNewPort)`

Method Summary
`boolean` | `allowsBack()` Specify whether this card should allow the Back button to work in the wizard.
`boolean` | `allowsFinish()` Specify whether this card should allow the Finish button to work in the wizard.
`boolean` | `allowsNext()` Specify whether this card should allow the Next button to work in the wizard.
`void` | `cardRemoved(boolean byNext)` Called by WizardPanel when this card is taken down from this wizard, so any cleanup and closure for this panel can be done.
`java.lang.String` | `getHelpTag()` Return the tag into the YAACHelpMap.jhm file for displaying help for this card if the Help button is clicked.
`AbstractWizardCard` | `getNextCard()` Get the AbstractWizardCard instance that should be displayed when the user clicks the Next button.
`AbstractWizardCard` | `getPreviousCard()` Get the AbstractWizardCard instance that should be displayed when the user clicks the Back button.
`java.lang.String` | `getTitleTag()` Returns the tag into the localized ResourceBundles for the text to be displayed as the dialog title for this wizard card.

Methods inherited from class org.ka2ddo.yaac.gui.genericwizard.AbstractWizardCard
`cardAdded, fireBackUpdated, fireFinishUpdated, fireNextUpdated, makeGBC, makeGBC, makeGBC, setWizardPanel, switchToArbitraryCard`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigPort

    public ConfigPort(PortConfig cfg,
                      boolean isNewPort)

Method Detail

### allowsNext

    public boolean allowsNext()

  Description copied from class: `AbstractWizardCard`
  Specify whether this card should allow the Next button to work in the wizard.

  Specified by:
    `allowsNext` in class `AbstractWizardCard`
  Returns:
    boolean true if the Next button should be enabled
  See Also:
    `AbstractWizardCard.fireNextUpdated()`

### allowsBack

    public boolean allowsBack()

  Description copied from class: `AbstractWizardCard`
  Specify whether this card should allow the Back button to work in the wizard.

  Specified by:
    `allowsBack` in class `AbstractWizardCard`
  Returns:
    boolean true if the Back button should be enabled
  See Also:
    `AbstractWizardCard.fireBackUpdated()`

### allowsFinish

    public boolean allowsFinish()

  Description copied from class: `AbstractWizardCard`
  Specify whether this card should allow the Finish button to work in the wizard.

  Specified by:
    `allowsFinish` in class `AbstractWizardCard`
  Returns:
    boolean true if the Finish button should be enabled
  See Also:
    `AbstractWizardCard.fireFinishUpdated()`

### getNextCard

    public AbstractWizardCard getNextCard()

  Description copied from class: `AbstractWizardCard`
  Get the AbstractWizardCard instance that should be displayed when the user clicks the Next button. Will only be called if allowsNext() returns true.

  Overrides:
    `getNextCard` in class `AbstractWizardCard`
  Returns:
    AbstractWizardCard subclass to display
  See Also:
    `AbstractWizardCard.allowsNext()`

### getPreviousCard

    public AbstractWizardCard getPreviousCard()

  Description copied from class: `AbstractWizardCard`
  Get the AbstractWizardCard instance that should be displayed when the user clicks the Back button. Will only be called if allowsBack() returns true.

  Overrides:
    `getPreviousCard` in class `AbstractWizardCard`
  Returns:
    AbstractWizardCard subclass to display
  See Also:
    `AbstractWizardCard.allowsBack()`

### getHelpTag

    public java.lang.String getHelpTag()

  Description copied from class: `AbstractWizardCard`
  Return the tag into the YAACHelpMap.jhm file for displaying help for this card if the Help button is clicked. If this returns null, a Help button will not be displayed.

  Overrides:
    `getHelpTag` in class `AbstractWizardCard`
  Returns:
    String tag into the Help.jhm file, or null for no help tag

### getTitleTag

    public java.lang.String getTitleTag()

  Description copied from class: `AbstractWizardCard`
  Returns the tag into the localized ResourceBundles for the text to be displayed as the dialog title for this wizard card.

  Overrides:
    `getTitleTag` in class `AbstractWizardCard`
  Returns:
    String tag into the ResourceBundles
  See Also:
    `YAAC.getMsg(String)`

### cardRemoved

    public void cardRemoved(boolean byNext)

  Description copied from class: `AbstractWizardCard`
  Called by WizardPanel when this card is taken down from this wizard, so any cleanup and closure for this panel can be done. By default, does nothing, but subclasses can override.

  Overrides:
    `cardRemoved` in class `AbstractWizardCard`
  Parameters:
    `byNext` - boolean true if this method was called because the Next button was pressed, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD